package com.nisum.reactiveweb.service;

import com.nisum.reactiveweb.model.Product;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import org.springframework.stereotype.Service;

@Service
public interface ProductService {
    Mono<Product> getProductBySku(String sku);

    Flux<Product> getAllProducts();

    Mono<Product> saveProduct(Product product);

    Mono<Product> updateProduct(String sku, Product product);

    Mono<String> removeProduct(String sku);
}
